import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSViewController } from "../AppKit/NSViewController.js";
import type { MKMapItemDetailSelectionAccessoryCalloutStyle } from "./MKMapItemDetailSelectionAccessoryCalloutStyle.js";
export declare class _MKMapItemDetailSelectionAccessoryPresentationStyle extends _NSObject {
    static alloc(): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    static new(): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    init(): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    static automaticWithPresentationViewController$(presentationViewController: _NSViewController | null): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    /**
     * Show map item detail as an annotation callout on the map - Parameters: - style: the callout style to use
     */
    static calloutWithCalloutStyle$(style: MKMapItemDetailSelectionAccessoryCalloutStyle): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    static sheetPresentedFromViewController$(viewController: _NSViewController): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    /**
     * Show map item detail as an annotation callout on the map Uses the `automatic` callout style.
     */
    static callout(): _MKMapItemDetailSelectionAccessoryPresentationStyle;
    /** display a small "Open in Maps" affordance */
    static openInMaps(): _MKMapItemDetailSelectionAccessoryPresentationStyle;
}
